package projectzombie.items;

import gl_engine.vec.Vec2d;
import gl_engine.vec.Vec2i;
import gl_engine.vec.Vec3d;
import projectzombie.entity.player.EntityPlayer;
import projectzombie.init.Models;
import projectzombie.items.modifier.ItemModifierMeta;
import projectzombie.model.ModelItem;
import projectzombie.util.ItemStack;
import projectzombie.world.chunk.Chunk;
import projectzombie.world.layer.Layer;

public class ItemHealthPotion extends Item
{

	@Override
	public ModelItem getModel(ItemStack stack) {
		return Models.ITEM_HEALTH_POTION;
	}
	
	@Override
	public String getName(ItemStack stack) {
		return "Health Potion "+ItemModifierMeta.getStackMeta(stack)+" HP";
	}
	
	@Override
	public boolean onPlayerRightClick(ItemStack stack, Layer layer, EntityPlayer player, Vec2d place_pos) {
		player.addHealth(ItemModifierMeta.getStackMeta(stack));
		stack.count -= 1;
		return true;
	}
}
